Subject: [bess] Type 1 RD for Pure IPv6 network -- EVPN

From: TULASI RAM REDDY <[email-masked]>
Date: Fri, 22 Jan 2021 11:31:19 +0530

Hi All,

In a pure IPv6 network, how do one expect to construct the Type 1 RD.
As per EVPN RFC 7432 for EAD per ES, it should be Type 1 RD, but if the
loopback address is only IPv6 then what is the expectation here?
Should we use BGP router ID(32bit) here?

>From RFC7432: EVPN

8.2.1 <https://tools.ietf.org/html/rfc7432#section-8.2.1>.
Constructing Ethernet A-D per Ethernet Segment Route

   The Route Distinguisher (RD) MUST be a Type 1 RD [RFC4364
<https://tools.ietf.org/html/rfc4364>].  The
   *value field comprises an IP address of the PE (typically, the
   loopback address)* followed by a number unique to the PE.

Thanks,
TULASI RAMI REDDY N

---

From: Muthu Arul Mozhi Perumal <[email-masked]>
Date: Wed, 27 Jan 2021 16:15:22 +0530

Hi Tulasi,

In pure IPv6 networks, I think using the BGP identifier in place of the IP
address part in the type 1 RD should suffice for all practical purposes.
The only catch is, if it is an AS-wide unique BGP identifier [RFC6286],
then it is not an IP address 'per se'. But, I think it makes no difference
from an interoperability standpoint..

Perhaps, in line with RFC6286, we should redefine the IP address part of
the type 1 RD as just a 4-octet, unsigned, non-zero integer..

Regards,
Muthu

On Fri, Jan 22, 2021 at 11:31 AM TULASI RAM REDDY <[email-masked]>
wrote:

> 8.2.1 <https://tools.ietf.org/html/rfc7432#section-8.2.1>.  Constructing Ethernet A-D per Ethernet Segment Route
>
>    The Route Distinguisher (RD) MUST be a Type 1 RD [RFC4364 <https://tools.ietf.org/html/rfc4364>].  The
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>

---

From: Gyan Mishra <[email-masked]>
Date: Fri, 29 Jan 2021 16:56:00 -0500

Muthu

How does RFa. 6286 AS wide BGP identifier change the BGP path selection
process when all attributes are equal and ‘bestpath compare-routerid” is
uses so the valid/best path is deterministic and oldest versus newest
default.

I believe the BGP Identifier just as with OSPF or ISIS does not have to be
routable, so in an IPv6 only network precluding RFC 6286 I believe could
you still use a 4 octet IP address as the router-id.

This question comes up a lot these days as operations migrate to some
flavor of IPv6 only core MPLS LDPv6, SR-MPLSv6, SRv6.

Thanks

Gyan
On Wed, Jan 27, 2021 at 5:45 AM Muthu Arul Mozhi Perumal <
[email-masked]> wrote:

> On Fri, Jan 22, 2021 at 11:31 AM TULASI RAM REDDY <
> [email-masked]> wrote:
>
>> Hi All,
>>
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD

---

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Fri, 29 Jan 2021 22:21:20 +0000

Note that the BGP identifier is not guaranteed to be unique across ASes, only within a single AS.

Regards,
Jakob.

From: BESS <[email-masked]> On Behalf Of Gyan Mishra
Sent: Friday, January 29, 2021 1:56 PM
To: Muthu Arul Mozhi Perumal <[email-masked]>
Cc: TULASI RAM REDDY <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [bess] [Idr] Type 1 RD for Pure IPv6 network -- EVPN

Muthu

How does RFa. 6286 AS wide BGP identifier change the BGP path selection process when all attributes are equal and ‘bestpath compare-routerid” is uses so the valid/best path is deterministic and oldest versus newest default.

I believe the BGP Identifier just as with OSPF or ISIS does not have to be routable, so in an IPv6 only network precluding RFC 6286 I believe could you still use a 4 octet IP address as the router-id.

This question comes up a lot these days as operations migrate to some flavor of IPv6 only core MPLS LDPv6, SR-MPLSv6, SRv6.

Thanks

Gyan
On Wed, Jan 27, 2021 at 5:45 AM Muthu Arul Mozhi Perumal <[email-masked]<mailto:[email-masked]>> wrote:
Hi Tulasi,

In pure IPv6 networks, I think using the BGP identifier in place of the IP address part in the type 1 RD should suffice for all practical purposes. The only catch is, if it is an AS-wide unique BGP identifier [RFC6286], then it is not an IP address 'per se'. But, I think it makes no difference from an interoperability standpoint..
Perhaps, in line with RFC6286, we should redefine the IP address part of the type 1 RD as just a 4-octet, unsigned, non-zero integer..
Regards,
Muthu

On Fri, Jan 22, 2021 at 11:31 AM TULASI RAM REDDY <[email-masked]<mailto:[email-masked]>> wrote:
Hi All,

In a pure IPv6 network, how do one expect to construct the Type 1 RD.
As per EVPN RFC 7432 for EAD per ES, it should be Type 1 RD, but if the loopback address is only IPv6 then what is the expectation here?
Should we use BGP router ID(32bit) here?

From RFC7432: EVPN
8.2.1<https://tools.ietf.org/html/rfc7432#section-8.2.1>.  Constructing Ethernet A-D per Ethernet Segment Route

   The Route Distinguisher (RD) MUST be a Type 1 RD [RFC4364<https://tools.ietf.org/html/rfc4364>].  The

   value field comprises an IP address of the PE (typically, the

   loopback address) followed by a number unique to the PE.

Thanks,
TULASI RAMI REDDY N
_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess
_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr
--

[http://ss7.vzw.com/is/image/VerizonWireless/vz-logo-email]<http://www.verizon.com/>

Gyan Mishra

Network Solutions Architect

M 301 502-1347
13101 Columbia Pike
Silver Spring, MD